Bug 21213 - [alacarte] Unable to enter a command with spaces
Summary: [alacarte] Unable to enter a command with spaces
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA5TOO MGA5-64-OK MGA5-32-OK advisor...
Keywords: validated_update
Depends on:
Blocks:
 
Reported: 2017-07-09 18:34 CEST by xxxx xxxx
Modified: 2017-07-28 20:13 CEST (History)
5 users (show)

See Also:
Source RPM: alacarte-3.11.91-4.1.mga5
CVE:
Status comment:


Attachments

Description xxxx xxxx 2017-07-09 18:34:11 CEST
Hi, 

When you want to add an application in the menu with alacarte, if you put spaces in the line "Command" it's impossible to press OK.

This bug seems to be fixed in other distros :

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=752671


Currently the solution is to put a false command without spaces and create the shortcut. Then edit the file in "/home/"username"/.local/share/applications/" and write the good command.
Comment 1 Jani Välimaa 2017-07-09 19:04:35 CEST
Pushed new release [1] for mga5 to core/updates_testing with a patch from upstream to fix the issue. Please test.

[1] alacarte-3.11.91-4.2.mga5

CC: (none) => jani.valimaa
Assignee: bugsquad => qa-bugs

Jani Välimaa 2017-07-09 19:05:37 CEST

See Also: (none) => http://bugs.debian.org/752671

Jani Välimaa 2017-07-09 19:06:19 CEST

See Also: (none) => https://bugzilla.gnome.org/show_bug.cgi?id=728372

Comment 2 xxxx xxxx 2017-07-12 18:17:57 CEST
Just tested. The bug is fixed.
Comment 3 Rémi Verschelde 2017-07-13 08:09:17 CEST
What architecture did you test on?

Source RPM: alacarte 3.11.91 noarch => alacarte-3.11.91-4.1.mga5

Comment 4 xxxx xxxx 2017-07-13 19:58:56 CEST
Arch. x86_64
Rémi Verschelde 2017-07-13 21:43:32 CEST

Whiteboard: (none) => MGA5-64-OK

Comment 5 Herman Viaene 2017-07-17 13:40:36 CEST
MGA5-32 on Asus A6000VM Xfce
No installation issues
Launching alacarte from CLU shows no particular problem. I could add an item with command "gksu caja", no problem.

CC: (none) => herman.viaene
Whiteboard: MGA5-64-OK => MGA5-64-OK MGA5-32-OK

Comment 6 Lewis Smith 2017-07-20 11:54:02 CEST
Validating; but @Jani it needs an advisory please. I can invent one if your Comment 1 has the right SRC RPM version.

CC: (none) => lewyssmith

Lewis Smith 2017-07-20 11:58:59 CEST

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 7 Rémi Verschelde 2017-07-24 11:51:37 CEST
From what I can see both Cauldron and Mageia 6 have the same alacarte version as Mageia 5, but without the patch. So I think we might need an update candidate for Mageia 6 too before validating this one. The Mageia 5 tests stay valid though.

Version: 5 => Cauldron
Assignee: qa-bugs => jani.valimaa
Keywords: validated_update => (none)
Whiteboard: MGA5-64-OK MGA5-32-OK => MGA6TOO MGA5TOO MGA5-64-OK MGA5-32-OK
CC: (none) => qa-bugs

Comment 8 Jani Välimaa 2017-07-26 17:37:55 CEST
Fixed for cauldron and mga6 [1] also.

[1] alacarte-3.11.91-7.1.mga6 in core/updates_testing

Assignee: jani.valimaa => qa-bugs

Comment 9 Rémi Verschelde 2017-07-26 17:49:31 CEST
Advisory:
=========

Updated alacarte package fixes parsing of commands with spaces

  alacarte 3.11.91 has a bug that prevent entering commands with spaces when
  add a new application to the menu. This update backports an upstream patch
  to fix it.

{S,}RPMs in core/updates_testing:
=================================

5:
 alacarte-3.11.91-4.2.mga5

6:
 alacarte-3.11.91-7.1.mga6

Version: Cauldron => 6
Whiteboard: MGA6TOO MGA5TOO MGA5-64-OK MGA5-32-OK => MGA5TOO MGA5-64-OK MGA5-32-OK

Lewis Smith 2017-07-26 21:47:41 CEST

Whiteboard: MGA5TOO MGA5-64-OK MGA5-32-OK => MGA5TOO MGA5-64-OK MGA5-32-OK advisory

Comment 10 Herman Viaene 2017-07-28 09:32:43 CEST
MGA6-32 on Asus A6000VM MATE
No installation issues
Launching alacarte from CLU shows no particular problem. I could add an item with command "gksu caja", no problem.

Whiteboard: MGA5TOO MGA5-64-OK MGA5-32-OK advisory => MGA5TOO MGA5-64-OK MGA5-32-OK advisory MGA6-32-OK

Herman Viaene 2017-07-28 09:37:34 CEST

Whiteboard: MGA5TOO MGA5-64-OK MGA5-32-OK advisory MGA6-32-OK => MGA5TOO MGA5-64-OK MGA5-32-OK advisory MGA6-32-OK validated_update

Rémi Verschelde 2017-07-28 09:44:29 CEST

Keywords: (none) => validated_update
Whiteboard: MGA5TOO MGA5-64-OK MGA5-32-OK advisory MGA6-32-OK validated_update => MGA5TOO MGA5-64-OK MGA5-32-OK advisory MGA6-32-OK

Comment 11 Mageia Robot 2017-07-28 20:13:05 CEST
An update for this issue has been pushed to the Mageia Updates repository.

http://advisories.mageia.org/MGAA-2017-0038.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.